> ## Documentation Index
> Fetch the complete documentation index at: https://developer.elliephant.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a specific order



## OpenAPI

````yaml GET /api/order
openapi: 3.0.0
info:
  title: Elliephant API
  version: 1.0.0
  description: With this API you can retrieve products, place orders, and so much more.
servers:
  - url: https://api.elliephant.com
  - url: https://api-sandbox.elliephant.com
security:
  - ClientIdAuth: []
    ApiKeyAuth: []
    ApiPasswordAuth: []
paths:
  /api/order:
    get:
      summary: Retrieve a specific order
      operationId: getOrder
      parameters:
        - name: order_id
          in: query
          required: true
          schema:
            type: integer
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  order_id:
                    type: integer
                    description: >-
                      The ID of the order in our system, this is the ID used to
                      get the order details later.
                  order_number:
                    type: string
                    description: >-
                      The order number that is used for reference, this will be
                      in the format EO-00000.
                  order_date:
                    type: string
                    description: >-
                      The date of the order placed in the format YYYY-MM-DD
                      HH:MM.
                  order_status:
                    type: string
                    description: >-
                      The status of the order. This will be either `failed`,
                      `created`, `paid` or `cancieled`.
                  gift_order_method:
                    type: string
                    description: >-
                      The method that order is placed or gifted. This will be
                      either `email`, `direct`, `link`, `api-purchase` or
                      `api-giftlink`.
                  link_how_many_times:
                    type: string
                    description: >-
                      _Only sent if `gift_order_method == link`_. The number of
                      how many times the link can be redeemed
                  link_url:
                    type: string
                    description: >-
                      _Only sent if `gift_order_method == link`_. The URL used
                      to redeem the gift.
                  link_message:
                    type: string
                    description: >-
                      _Only sent if `gift_order_method == link`_. The message
                      included on the link redemption page
                  gift_of_choice:
                    type: string
                    description: >-
                      An option if you want your user to have an option to
                      choose a different gift as a gift of choice. This is
                      either a `Y` or `N`
                  branding_selected:
                    type: string
                    description: >-
                      The type of branding that you are want for your gift link
                      or email. This is either `elliephant`, `company` or
                      `custom`. `company` can only be used if your company
                      branding as been set in your company profile. `custom` can
                      only be set if placed on the store.
                  branding_options:
                    type: array
                    description: An array containing the branding values.
                    items:
                      type: object
                      properties:
                        branding_logo:
                          type: string
                          description: The local URL of the main branded logo.
                        branding_claim_logo:
                          type: string
                          description: >-
                            The local URL of the logo that sites on the
                            `primary_color` background.
                        primary_color:
                          type: string
                          description: The HEX code of the primary background colour.
                        secondary_color:
                          type: string
                          description: The HEX code of the secondary button colour.
                  product_offered:
                    type: string
                    description: >-
                      The original product offered. This will be an array
                      containing `product_id` and `variation_id`. This connects
                      to the product id and variation id retreved in the
                      [GET/api/product/:id](/api-reference/endpoint/products)
                      method.
                  order_totals:
                    type: array
                    description: An array containing the order totals.
                    items:
                      type: object
                      properties:
                        currency:
                          type: string
                          description: >-
                            The currency you payed in. Sent in [ISO
                            4217](https://en.wikipedia.org/wiki/ISO_4217)
                            format. eg Australian Dollar is AUD.
                        product_price:
                          type: string
                          description: The price of the product at time of purchase.
                        qty:
                          type: string
                          description: Total amount of items purchased.
                        subtotal:
                          type: string
                          description: >-
                            The subtotal of the order (calculated by the
                            equation `product_price` x `qty`).
                        shipping_cost:
                          type: string
                          description: The cost of the shipping at time of purchase.
                        order_fee:
                          type: string
                          description: The cost of the service fee at the tiem of purchase.
                        order_total:
                          type: string
                          description: >-
                            The total paid for the order (calculated by the
                            equation `subtotal` + `shipping_cost` +
                            `order_fee`).
                  email_template:
                    type: string
                    description: >-
                      The template used for the emails sent. This could be
                      either `celebration`, `generic`, `sympathy` or
                      `christmas`. This can only be set if placed on the store.
                  recipients:
                    type: array
                    description: An array containing the recipient details.
                    items:
                      type: object
                      properties:
                        suborder_id:
                          type: integer
                          description: >-
                            The id of the order used for identification in our
                            system.
                        suborder_number:
                          type: string
                          description: >-
                            The order number that is used for reference, this
                            will be in the format EO-00000-00.
                        recipient_details:
                          type: array
                          description: An array of information about the recipient.
                          items:
                            type: object
                            properties:
                              name:
                                type: string
                                description: The name of your recipient.
                              email:
                                type: string
                                description: The full email address of your recipient.
                              phone_number:
                                type: string
                                description: The phone number of your recipient.
                              delivery_address:
                                type: array
                                description: >-
                                  An array containing the address of the
                                  recipient.
                                items:
                                  type: object
                                  properties:
                                    address_line_1:
                                      type: string
                                      description: Line 1 of the address field.
                                    address_line_2:
                                      type: string
                                      description: Line 2 of the address field.
                                    suburb:
                                      type: string
                                      description: The suburb or town of the address.
                                    state:
                                      type: string
                                      description: The state or providence of the address.
                                    postcode_zipcode:
                                      type: string
                                      description: The postcode or zipcode of the address.
                                    country:
                                      type: string
                                      description: >-
                                        The country of the address as the full
                                        country name eg Australia, England,
                                        Singapore etc.
                              email_message:
                                type: string
                                description: >-
                                  The message that gets attached to your gifting
                                  email and page.
                              delivery_notes:
                                type: string
                                description: Any notes assigned to the delivery.
                              gift_url:
                                type: string
                                description: The gifting URL to share with your recipient.
                        redemption_status:
                          type: string
                          description: >-
                            Current redemption status which will either be
                            `NULL` or an array containing the `status` and
                            `date` in the format YYYY-MM-DD HH:MM.
                        product_selected:
                          type: string
                          description: >-
                            The final product selected. This will be an array
                            containing `product_id` and `variation_id`. This
                            connects to the product id and variation id retreved
                            in the
                            [GET/api/product/:id](/api-reference/endpoint/products)
                            method.
              example:
                order_id: '133'
                order_number: EO-00133
                order_date: 2024-05-08 11:50am
                order_status: paid
                gift_order_method: email
                gift_of_choice: 'N'
                branding_selected: elliephant
                branding_options:
                  branding_logo: /assets/logos/email-logo.png
                  branding_claim_logo: /assets/logos/primary-logo-white.svg
                  primary_color: '#FF0054'
                  secondary_color: '#9E0059'
                product_offered:
                  product_id: '5737'
                  variation_id: null
                order_totals:
                  currency: USD
                  product_price: '12.77'
                  qty: '3'
                  subtotal: '38.30'
                  shipping_cost: '19.01'
                  order_fee: '2.29'
                  order_total: '59.60'
                email_template: celebration
                recipients:
                  - suborder_id: 327
                    suborder_number: EO-00133-1
                    recipient_details:
                      name: Johnny Tester
                      email: j.tester@gmail.com
                      email_message: Thanks for the hard work
                      delivery_address:
                        address_line_1: null
                        address_line_2: null
                        suburb: null
                        state: null
                        postcode_zipcode: null
                        country: null
                      phone_number: NA
                      delivery_notes: null
                      gift_url: https://members.elliephant.com/redeem-your-gift/a1b2c3
                    redemption_status: null
                    product_selected:
                      product_id: '5737'
                      variation_id: null
                  - suborder_id: 328
                    suborder_number: EO-00133-2
                    recipient_details:
                      name: Joshua Smith
                      email: j.smith@elliephant.com
                      email_message: Thanks for the hard work
                      delivery_address:
                        address_line_1: 123 Example Street
                        address_line_2: null
                        suburb: Example Town
                        state: Victoria
                        postcode_zipcode: '9876'
                        country: Australia
                      phone_number: '0412345678'
                      delivery_notes: null
                    redemption_status: null
                    product_selected:
                      product_id: '5737'
                      variation_id: null
                  - suborder_id: 329
                    suborder_number: EO-00133-3
                    recipient_details:
                      name: Jane Doe
                      email: j.doe@elliephant.com
                      email_message: Thanks for the hard work
                      delivery_address:
                        address_line_1: 123 Sample Street
                        address_line_2: null
                        suburb: Sample Town
                        state: Victoria
                        postcode_zipcode: '1234'
                        country: Australia
                      phone_number: NA
                      delivery_notes: null
                    redemption_status: null
                    product_selected:
                      product_id: '5737'
                      variation_id: null
components:
  securitySchemes:
    ClientIdAuth:
      type: apiKey
      in: header
      name: CLIENT-ID
    ApiKeyAuth:
      type: apiKey
      in: header
      name: API-KEY
    ApiPasswordAuth:
      type: apiKey
      in: header
      name: API-PASSWORD

````